%**************************************************************************************************************************************
% Este arquivo  um apndice virtual do artigo:
% Estimao das tabelas auxiliares de impostos e margens da Matriz de Insumo-Produto com mnima perda de informao: algoritmo RAWS.
% Revista: Pesquisa e Planejamento Econmico. Braslia: Ipea, 2014.
% Autor: Thiago Sevilhano Martinez
%**************************************************************************************************************************************

%**************************************************************************************************************************************
% Estimao das tabelas de passagem da MIP para o ano 1996, teste do mtodo
% Passo 1: extrair dados organizados no Excel
% Obs: no inclui variao de estoques
%**************************************************************************************************************************************

clear
% matrizes
Hu   = xlsread('MIP1996', 'H', 'D6:AT85');
Hy   = xlsread('MIP1996', 'H', 'AV6:AY85');
H    = [Hu Hy];
clear Hu Hy;

TC0u = xlsread('MIP1996', 'Atc', 'D6:AT85');
TC0y = xlsread('MIP1996', 'Atc', 'AV6:AY85');
TC0  = [TC0u TC0y];
clear TC0u TC0y;

TP0u = xlsread('MIP1996', 'Atp', 'D6:AT85');
TP0y = xlsread('MIP1996', 'Atp', 'AV6:AY85');
TP0  = [TP0u TP0y];
clear TP0u TP0y;

TS0u = xlsread('MIP1996', 'Ats', 'D6:AT85');
TS0y = xlsread('MIP1996', 'Ats', 'AV6:AY85');
TS0  = [TS0u TS0y];
clear TS0u TS0y;

MC0u = xlsread('MIP1996', 'Amc', 'D6:AT85');
MC0y = xlsread('MIP1996', 'Amc', 'AV6:AY85');
MC0  = [MC0u MC0y];
clear MC0u MC0y;

MT0u = xlsread('MIP1996', 'Amt', 'D6:AT85');
MT0y = xlsread('MIP1996', 'Amt', 'AV6:AY85');
MT0  = [MT0u MT0y];
clear MT0u MT0y;

% vetores
[n,m] = size(H)
h  = ctranspose(ones(1,n)*H);
tc = xlsread('MIP1996', 'Atc', 'BB6:BB85');
tp = xlsread('MIP1996', 'Atp', 'BB6:BB85');
ts = xlsread('MIP1996', 'Ats', 'BB6:BB85');
mc = xlsread('MIP1996', 'Amc', 'BB6:BB85');
mt = xlsread('MIP1996', 'Amt', 'BB6:BB85');

% Passo 2: Balanceamento pelo RAWSBASE00
ITERM = 500 %nmero mximo de iteraes do RAWS
% ir para rawsbase00

save('MIP1996')