%**************************************************************************************************************************************
% Este arquivo  um apndice virtual do artigo:
% Estimao das tabelas auxiliares de impostos e margens da Matriz de Insumo-Produto com mnima perda de informao: algoritmo RAWS.
% Revista: Pesquisa e Planejamento Econmico. Braslia: Ipea, 2014.
% Autor: Thiago Sevilhano Martinez
%**************************************************************************************************************************************

%**************************************************************************************************************************************
% Estimao das tabelas de passagem da MIP para o ano 2005, reviso 05-09 do SCN
% Passo 1: extrair dados organizados no Excel
%**************************************************************************************************************************************

clear
% matrizes
Hu   = xlsread('MIP2000', 'H', 'D6:BF115');
Hy   = xlsread('MIP2000', 'H', 'BH6:BM115');
H    = [Hu Hy];
clear Hu Hy;

TC0u = xlsread('MIP2000', 'Atc', 'D6:BF115');
TC0y = xlsread('MIP2000', 'Atc', 'BH6:BM115');
TC0  = [TC0u TC0y];
clear TC0u TC0y;

TP0u = xlsread('MIP2000', 'Atp', 'D6:BF115');
TP0y = xlsread('MIP2000', 'Atp', 'BH6:BM115');
TP0  = [TP0u TP0y];
clear TP0u TP0y;

TS0u = xlsread('MIP2000', 'Ats', 'D6:BF115');
TS0y = xlsread('MIP2000', 'Ats', 'BH6:BM115');
TS0  = [TS0u TS0y];
clear TS0u TS0y;

MC0u = xlsread('MIP2000', 'Amc', 'D6:BF115');
MC0y = xlsread('MIP2000', 'Amc', 'BH6:BM115');
MC0  = [MC0u MC0y];
clear MC0u MC0y;

MT0u = xlsread('MIP2000', 'Amt', 'D6:BF115');
MT0y = xlsread('MIP2000', 'Amt', 'BH6:BM115');
MT0  = [MT0u MT0y];
clear MT0u MT0y;

% vetores
[n,m] = size(H)
h  = ctranspose(ones(1,n)*H);
tc = xlsread('MIP2000', '1', 'H6:H115');
tp = xlsread('MIP2000', '1', 'G6:G115');
ts = xlsread('MIP2000', '1', 'I6:I115');
mc = xlsread('MIP2000', '1', 'D6:D115');
mt = xlsread('MIP2000', '1', 'E6:E115');

% Passo 2: Balanceamento pelo RAWSBASE00
ITERM = 500 %nmero mximo de iteraes do RAWS
% ir para rawsbase00

save('MIP2000')